For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DASHBOARDPLAYGROUNDDOCSCOMMUNITYLOG IN
Guides and conceptsAPI ReferenceRelease NotesLLMUCookbooks
Guides and conceptsAPI ReferenceRelease NotesLLMUCookbooks
  • Cohere API
    • About
    • Teams and Roles
    • Errors
    • Migrating From API v1 to API v2
    • Using the OpenAI SDK
  • Endpoints
      • GETGet a Model
      • GETList Models
  • Deprecated
LogoLogodocs
DASHBOARDPLAYGROUNDDOCSCOMMUNITYLOG IN
Endpointsv1/models

Get a Model

GET
https://api.cohere.com/v1/models/:model
GET
/v1/models/:model
1from cohere import Client
2
3client = Client()
4
5response = client.models.get(
6 model="command-a-03-2025",
7)
8print(response)
1{
2 "name": "string",
3 "is_deprecated": true,
4 "endpoints": [
5 "chat"
6 ],
7 "finetuned": true,
8 "context_length": 1.1,
9 "tokenizer_url": "string",
10 "default_endpoints": [
11 "chat"
12 ],
13 "features": [
14 "string"
15 ],
16 "sampling_defaults": {
17 "temperature": 1.1,
18 "k": 1,
19 "p": 1.1,
20 "frequency_penalty": 1.1,
21 "presence_penalty": 1.1,
22 "max_tokens_per_doc": 1
23 }
24}
Returns the details of a model, provided its name.
Was this page helpful?
Previous

List Models

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

modelstringRequired

Headers

X-Client-NamestringOptional
The name of the project that is making the request.

Response headers

X-API-Warningstring
The name of the project that is making the request.

Response

OK
namestring

Specify this name in the model parameter of API requests to use your chosen model.

is_deprecatedboolean
Whether the model is deprecated or not.
endpointslist of enums
The API endpoints that the model is compatible with.
finetunedboolean

Whether the model has been fine-tuned or not.

context_lengthdouble
The maximum number of tokens that the model can process in a single request. Note that not all of these tokens are always available due to special tokens and preambles that Cohere has added by default.
tokenizer_urlstring
Public URL to the tokenizer's configuration file.
default_endpointslist of enums
The API endpoints that the model is default to.
featureslist of strings
The features that the model supports.
sampling_defaultsobject
Default sampling parameters for this model when omitted from API requests.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
429
Too Many Requests Error
498
Invalid Token Error
499
Client Closed Request Error
500
Internal Server Error
501
Not Implemented Error
503
Service Unavailable Error
504
Gateway Timeout Error